ASTRIBANK_ALLOW(8)

NAME
astribank_allow - License Xorcom Astribank (xpp) capabilities.

SYNOPSIS
astribank_allow -D device-path [ options ] astribank_allow [-h]

DESCRIPTION
Modern Astribanks (with USB product id's 116x) contain capabilities that may be licensed. astribank_allow is used to upload/download the licensing information to/from the device. Uploading a valid license file to an Astribank, changes its capabilities. The change becomes effective after a firmware reset (either by powering the device off and on again, or via the astribank_tool full reset option). Downloading license from the device, produces a valid license file for its current capabilities. This may be backed up, so the device may be later restored to its previous capabilities. The license file contains both a human readable description of the device capabilities for the end user and a hash of the licensing information used by Xorcom to generate/modify licensed capabilities.

OPTIONS
-D device-path
    Required. The device to read from/write to. This is bus_num/device_num, where bus_num and device_num are the first two numbers in the output of lsusb(8) or dahdi_hardware(8). On older versions of this tool you needed a complete path to the device, which would be /dev/bus/usb/bus_num/device_num, or /proc/bus/usb/bus_num/device_num.
-w
    Write capabilities to EEPROM, otherwise read capabilities
-f filename
    License filename (stdin/stdout if not specified)
-m num
    Choose the numeric code of license markers to generate. This code select the type of BEGIN.../END... strings that delimit the license body. Valid marker codes are listed with the -h option. The default (and first) code is 1. Zero is illegal value.
-v
    Increase verbosity. May be used multiple times.
-d mask
    Set debug mask to mask. Default is 0, 0xFF is "everything".
-h
    Displays usage message.

SEE ALSO
fxload(8), lsusb(8), astribank_hexload(8), astribank_tool(8)

AUTHOR
Alex Landau